## cascading.stats.hadoop
Class HadoopSliceStats

    java.lang.Object
      cascading.stats.hadoop.HadoopSliceStats

    public class HadoopSliceStats

extends Object

Class HadoopTaskStats tracks individual task stats.

Nested Class Summary
`static class` `HadoopSliceStats.HadoopAttempt`
`static class` `HadoopSliceStats.Kind`

Method Summary
`void` `addAttempt(TaskCompletionEvent event)`
`Map<Integer,HadoopSliceStats.HadoopAttempt>` `getAttempts()`
`Map<String,Map<String,Long>>` `getCounters()`
`long` `getCounterValue(Enum counter)` Method getCounterValue returns the raw Hadoop counter value.
`long` `getCounterValue(String group, String name)` Method getCounterValue returns the raw Hadoop counter value.
`String[]` `getDiagnostics()`
`long` `getFinishTime()`
`String` `getID()`
`String` `getJobID()`
`HadoopSliceStats.Kind` `getKind()`
`CascadingStats.Status` `getParentStatus()`
`float` `getProgress()`
`long` `getStartTime()`
`String` `getState()`
`CascadingStats.Status` `getStatus()`
`String` `getTaskID()` Method getId returns the Hadoop task id.
`int` `getTaskIDNum()`
`boolean` `parentStepHasReducers()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getID

    public String getID()

### getKind

    public HadoopSliceStats.Kind getKind()

### getTaskID

    public String getTaskID()

  Method getId returns the Hadoop task id.

  Returns:
    the id (type String) of this HadoopTaskStats object.

### getTaskIDNum

    public int getTaskIDNum()

### getJobID

    public String getJobID()

### parentStepHasReducers

    public boolean parentStepHasReducers()

### getProgress

    public float getProgress()

### getState

    public String getState()

### getStartTime

    public long getStartTime()

### getFinishTime

    public long getFinishTime()

### getParentStatus

    public CascadingStats.Status getParentStatus()

### getStatus

    public CascadingStats.Status getStatus()

### getDiagnostics

    public String[] getDiagnostics()

### getCounters

    public Map<String,Map<String,Long>> getCounters()

### getAttempts

    public Map<Integer,HadoopSliceStats.HadoopAttempt> getAttempts()

### getCounterValue

    public long getCounterValue(Enum counter)

  Method getCounterValue returns the raw Hadoop counter value.

  Parameters:
    `counter` - of Enum
  Returns:
    long

### getCounterValue

    public long getCounterValue(String group,
                                String name)

  Method getCounterValue returns the raw Hadoop counter value.

  Parameters:
    `group` - of String
    `name` - of String
  Returns:
    long

### addAttempt

    public void addAttempt(TaskCompletionEvent event)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.